All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util.transforms
Class StringArrayToTreeInterfaceTransform

    com.sas.util.transforms.StringArrayToTreeInterfaceTransform

All Implemented Interfaces:
  com.sas.util.transforms.TransformInterface, java.io.Serializable

    public class StringArrayToTreeInterfaceTransform

implements com.sas.util.transforms.TransformInterface

See Also:
  Serialized Form

Field Summary
`static StringArrayToTreeInterfaceTransform` | `defaultInstance` Default instance of ObjectArrayToTreeInterfaceTransform.

Constructor Summary
`StringArrayToTreeInterfaceTransform()`

Method Summary
`protected com.sas.models.NodeInterface` | `createNodeInterface(java.lang.String text)` Factory method to create an object representing o which implements `NodeInterface`.
`java.lang.Object` | `transform(java.lang.Object object)` Alias for transform(Object, String).
`java.lang.Object` | `transform(java.lang.Object object, java.lang.String rootName)`

Field Detail

### defaultInstance

    public static final StringArrayToTreeInterfaceTransform defaultInstance

  Default instance of ObjectArrayToTreeInterfaceTransform.

Constructor Detail

### StringArrayToTreeInterfaceTransform

    public StringArrayToTreeInterfaceTransform()

Method Detail

### transform

    public java.lang.Object transform(java.lang.Object object)

  Alias for transform(Object, String).

  Specified by:
    `transform` in interface `com.sas.util.transforms.TransformInterface`
  Parameters:
    `object` - the object to transform
  See Also:
    `transform(Object, String)`

### transform

    public java.lang.Object transform(java.lang.Object object,
                                      java.lang.String rootName)

  Parameters:
    `object` - the object to transform
    `rootName` - the value for the root node's text property
  Returns:
    the tree interface that has been transformed.

### createNodeInterface

    protected com.sas.models.NodeInterface createNodeInterface(java.lang.String text)

  Factory method to create an object representing o which implements `NodeInterface`. A `NodeIcon` object will be created for o with the return value of `toString` set as the text. Additionally o will be set as the `objectData` property of the `NodeIcon` object.

  Parameters:
    `o` - the object to create a `NodeInterface` for
  Returns:
    a `NodeIcon` object representing o
  See Also:
    `NodeIcon`, `ObjectDataInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.